Subject: bug#9712: 24.0.50; doc about byte-compiling `defcustom'

From: "Drew Adams" <[email-masked]>
Date: Tue, 11 Oct 2011 07:35:15 -0700

> >> > The bug has been there for multiple major Emacs releases
> >> > now - a decade or so, and appears to have been introduced 
> >> > intentionally.  If there is no plan to fix it soon,
> >> > perhaps the info that is in the comments should at least
> >> > be conveyed to users.
> >> >
> >> The introduction of lexical-binding makes this issue more serious
> >> because this code does not obey the lexical-binding variable (and
> >> escapes the sanity checks of cconv.el, hence occasionally hiding
> >> problems when converting to lexical-binding).
> >
> > So will this be fixed in Emacs 24.1 then?  +1
> 
> No.

Why not, especially since 24.1 introduces generalized lexical binding, which
"makes this issue more serious"?  What's the hurry to shove 24.1 out the door?

And it seems like if you insist on only going for halfway measures in 24.1 then
it would be better for users to see the constant value in Customize (no big
deal) that it is for byte-compilation not to work properly and for the doc to be
contradicted in several places (defcustom, eval-when-compile,...).